SDL_BindGPUVertexStorageTextures(3)

NAME
SDL_BindGPUVertexStorageTextures - Binds storage textures for use on the vertex shader.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_BindGPUVertexStorageTextures(
    SDL_GPURenderPass *render_pass,
    Uint32 first_slot,
    SDL_GPUTexture *const *storage_textures,
    Uint32 num_bindings);

DESCRIPTION
These textures must have been created with

SDL_GPU_TEXTUREUSAGE_GRAPHICS_STORAGE_READ .

Be sure your shader is set up according to the requirements documented in

SDL_CreateGPUShader ().

FUNCTION PARAMETERS

render_pass
    a render pass handle.

first_slot
    the vertex storage texture slot to begin binding from.

storage_textures
    an array of storage textures.

num_bindings
    the number of storage texture to bind from the array.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUShader(3)